libzypp: zypp::HistoryLogPatchStateChange Class Reference

libzypp 17.38.9

zypp::HistoryLogPatchStateChange Class Reference
Libzypp History File

A zypp history log line for an installed packaged. More...

`#include <zypp/HistoryLogData.h>`

Inheritance diagram for zypp::HistoryLogPatchStateChange:

## Public Types
enum | Index { DATE_INDEX = HistoryLogData::DATE_INDEX , ACTION_INDEX = HistoryLogData::ACTION_INDEX , NAME_INDEX , EDITION_INDEX , ARCH_INDEX , REPOALIAS_INDEX , SEVERITY_INDEX , CATEGORY_INDEX , OLDSTATE_INDEX , NEWSTATE_INDEX , USERDATA_INDEX }
| < indices of known fields More...
using | Ptr = shared_ptr<HistoryLogPatchStateChange>
using | constPtr = shared_ptr<const HistoryLogPatchStateChange>
Public Types inherited from zypp::HistoryLogData
enum | Index { DATE_INDEX = 0 , ACTION_INDEX = 1 }
| < indices of known fields More...
using | Ptr = shared_ptr<HistoryLogData>
using | constPtr = shared_ptr<const HistoryLogData>
using | FieldVector = std::vector<std::string>
using | size_type = FieldVector::size_type
using | const_iterator = FieldVector::const_iterator

## Public Member Functions
| HistoryLogPatchStateChange (FieldVector &fields_r)
| Ctor moving FieldVector (via swap).
std::string | name () const
| package name
Edition | edition () const
| package edition
Arch | arch () const
| package architecture
std::string | repoAlias () const
| repository providing the package
Patch::SeverityFlag | severity () const
Patch::Category | category () const
std::string | oldstate () const
std::string | newstate () const
std::string | userdata () const
| userdata/transactionID
Public Member Functions inherited from zypp::HistoryLogData
| HistoryLogData (FieldVector &fields_r, size_type expect_r=2)
| Ctor moving FieldVector (via swap).
| HistoryLogData (FieldVector &fields_r, HistoryActionID action_r, size_type expect_r=2)
| Ctor moving FieldVector (via swap).
virtual | ~HistoryLogData ()
| Dtor.
bool | empty () const
| Whether FieldVector is empty.
size_type | size () const
| Number of fields in vector.
const_iterator | begin () const
| Iterator pointing to 1st element in vector (or end()).
const_iterator | end () const
| Iterator pointing behind the last element in vector.
const std::string & | optionalAt (size_type idx_r) const
| Access (optional) field by number.
const std::string & | operator[] (size_type idx_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | at (size_type idx_r) const
| Access (required) field by number.
Date | date () const
| date
HistoryActionID | action () const
| HistoryActionID (or `NONE_e` if unknown).

## Additional Inherited Members
Static Public Member Functions inherited from zypp::HistoryLogData
static Ptr | create (FieldVector &fields_r)
| Factory method creating HistoryLogData classes.
Protected Member Functions inherited from zypp::HistoryLogData
HistoryLogData & | operator= (const HistoryLogData &)
| no base class assign

## Detailed Description

A zypp history log line for an installed packaged.

Definition at line 239 of file HistoryLogData.h.

## Member Typedef Documentation

## ◆ Ptr

using zypp::HistoryLogPatchStateChange::Ptr = shared_ptr<HistoryLogPatchStateChange>

Definition at line 242 of file HistoryLogData.h.

## ◆ constPtr

using zypp::HistoryLogPatchStateChange::constPtr = shared_ptr<const HistoryLogPatchStateChange>

Definition at line 243 of file HistoryLogData.h.

## Member Enumeration Documentation

## ◆ Index

enum zypp::HistoryLogPatchStateChange::Index

< indices of known fields

Enumerator
DATE_INDEX |
ACTION_INDEX |
NAME_INDEX | patch name
EDITION_INDEX | patch edition
ARCH_INDEX | patch architecture
REPOALIAS_INDEX | repository providing the patch
SEVERITY_INDEX | patch severity
CATEGORY_INDEX | patch category
OLDSTATE_INDEX | the state of the patch before the change
NEWSTATE_INDEX | the state of the patch after the change
USERDATA_INDEX | userdata/transactionID

Definition at line 250 of file HistoryLogData.h.

## Constructor & Destructor Documentation

## ◆ HistoryLogPatchStateChange()

zypp::HistoryLogPatchStateChange::HistoryLogPatchStateChange | ( | FieldVector & | fields_r | ) |

Ctor moving FieldVector (via swap).

Exceptions

  ParseException | if fields_r has the wrong HistoryActionID or number of fields.

Definition at line 258 of file HistoryLogData.cc.

## Member Function Documentation

## ◆ name()

std::string zypp::HistoryLogPatchStateChange::name | ( |  | ) | const

package name

Definition at line 261 of file HistoryLogData.cc.

## ◆ edition()

Edition zypp::HistoryLogPatchStateChange::edition | ( |  | ) | const

package edition

Definition at line 262 of file HistoryLogData.cc.

## ◆ arch()

Arch zypp::HistoryLogPatchStateChange::arch | ( |  | ) | const

package architecture

Definition at line 263 of file HistoryLogData.cc.

## ◆ repoAlias()

std::string zypp::HistoryLogPatchStateChange::repoAlias | ( |  | ) | const

repository providing the package

Definition at line 264 of file HistoryLogData.cc.

## ◆ severity()

Patch::SeverityFlag zypp::HistoryLogPatchStateChange::severity | ( |  | ) | const

Definition at line 265 of file HistoryLogData.cc.

## ◆ category()

Patch::Category zypp::HistoryLogPatchStateChange::category | ( |  | ) | const

Definition at line 266 of file HistoryLogData.cc.

## ◆ oldstate()

std::string zypp::HistoryLogPatchStateChange::oldstate | ( |  | ) | const

Definition at line 267 of file HistoryLogData.cc.

## ◆ newstate()

std::string zypp::HistoryLogPatchStateChange::newstate | ( |  | ) | const

Definition at line 268 of file HistoryLogData.cc.

## ◆ userdata()

std::string zypp::HistoryLogPatchStateChange::userdata | ( |  | ) | const

userdata/transactionID

Definition at line 269 of file HistoryLogData.cc.

The documentation for this class was generated from the following files:

- zypp/HistoryLogData.h
- zypp/HistoryLogData.cc